Get Wallet References with Networks
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getWalletReferencesWithNetworks \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getWalletReferencesWithNetworks"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getWalletReferencesWithNetworks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"walletReferenceID": "dd0e8400-e29b-41d4-a716-446655440008",
"walletID": "770e8400-e29b-41d4-a716-446655440002",
"grantID": "550e8400-e29b-41d4-a716-446655440000",
"distRatio": 1,
"wallet": {
"walletID": "770e8400-e29b-41d4-a716-446655440002",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Primary ETH Wallet",
"network": "Ethereum",
"status": "CURRENT",
"nickName": "My Ledger",
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"orgNetworkID": "880e8400-e29b-41d4-a716-446655440003",
"tokenTypeID": "990e8400-e29b-41d4-a716-446655440004"
},
"roleInOrg": {
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"personID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
]{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Wallet Distribution
Get Wallet References with Networks
Returns wallet references with their associated network information.
GET
/
getWalletReferencesWithNetworks
Get Wallet References with Networks
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Query Parameters
Comma-separated roleInOrgIDs
Response
Wallet references with networks
Example:
"dd0e8400-e29b-41d4-a716-446655440008"
Example:
"770e8400-e29b-41d4-a716-446655440002"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Distribution ratio (0-1)
Example:
1
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
